********************************************************************************
*                                                                              * 
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### rrec ###
c
        subroutine rrec(irec,ngrid,axyz)
      implicit integer*4 (i-n)
        implicit real*8 (a-h,o-z)
        include 'commons8.inc'        
        dimension axyz(ngrid)
        iunit=irec+30
        if (iunit.gt.maxunit) then
           write(*,910)
           stop "rrec"
 910       format('rrec: maximum unit number exceeded ',
     &        '(see User''s Guide)')
        endif
        open(iunit,status='unknown',form='unformatted')
        rewind(iunit)
        read  (iunit) axyz
        close(iunit)
        return
        end
